DCMTK - Bug #28

Diverse Bugs in dcmqrscp
2006-08-02 00:00 - Marco Eichelberg

Status: Closed Start date:

Priority: High Due date:

Assignee: % Done: 100%
Category: Estimated time: 0:00 hour

Target version:
Module: dcmardb Compiler:
Operating System:

Description
Mail von JR vom 2006-02-09:

Wenn ich mit storescu ein DICOM-Bild an den dcmarscp schicke und dieser auf dem angegebenen AE Title nur lesenden Zugriff
gewahrt ("R" in Config-Datei), dann empféngt der dcmqgrscp unkomprimierte Bilder trotzdem. Komprimierte (z.B. JPEG lossless)
Bilder werden mit dem folgenden Hinweis (auf Seiten des storescu) abgelehnt:

unable to convert dataset from 'JPEG Lossless, Non-hierarchical, 1st
Order Prediction' transfer syntax to 'LittleEndianExplicit'.

Natdrlich habe ich die entsprechenden --prefer und --propose Optionen auf
beiden Seiten gesetzt. Wenn der Zugriff "RW" lautet klappt es auch mit
komprimierten Bildern.

History

#1 - 2014-09-22 16:55 - Michael Onken

- Private changed from No to Yes

#2 - 2015-01-15 13:43 - Michael Onken

- Private changed from Yes to No
